package main;

import ea.Knoten;
import ea.Manager;
import main.entities.Player;
import main.entities.Spider;
import main.maps.Map;
import main.maps.TestMap;

/**
 * Hier werden alle Maps gespeichert.
 */
public class World extends Knoten {
	
	public static final int SCALE_FACTOR = 4; // Der Basis Zoomfaktor
	public static final int SCALE = SCALE_FACTOR * Tile.getSize(); // Eine Gameunit ist so viele pixel lang 

	private Map currentMap; // Die Map die aktuell angezeigt werden soll.
	
	public World(Malin main) {
		Player player = new Player(main);
		// Map initialisieren
		currentMap = new TestMap();
		// Map zu EA hinzufügen
		add(currentMap);
		// und Spieler auch
		add(player.actionFigur);
		//und Spinnen auch
		add(new Spider(main).actionFigur);
		
		Manager manager = new Manager();
		// Den Spieler als ticker registrieren (triggert dann die update methoden)
		manager.anmelden(player, 20);
	}
	
	public Map getCurrentMap() {
		return currentMap;
	}
}
